Package com.independentsoft.graph.files

# Enum Class MediaSourceContentCategory

java.lang.Object
java.lang.Enum<MediaSourceContentCategory>
com.independentsoft.graph.files.MediaSourceContentCategory

All Implemented Interfaces:
  `Serializable`, `Comparable<MediaSourceContentCategory>`, `Constable`

public enum MediaSourceContentCategory extends Enum<MediaSourceContentCategory>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LIVE_STREAM`
  `METING`
  `NONE`
  `PRESENTATION`
  `SCREEN_RECORDING`
  `UNKNOWN_FUTURE_VALUE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MediaSourceContentCategory`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static MediaSourceContentCategory[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### METING

    public static final MediaSourceContentCategory METING

  - ### LIVE_STREAM

    public static final MediaSourceContentCategory LIVE_STREAM

  - ### PRESENTATION

    public static final MediaSourceContentCategory PRESENTATION

  - ### SCREEN_RECORDING

    public static final MediaSourceContentCategory SCREEN_RECORDING

  - ### UNKNOWN_FUTURE_VALUE

    public static final MediaSourceContentCategory UNKNOWN_FUTURE_VALUE

  - ### NONE

    public static final MediaSourceContentCategory NONE

- ## Method Details

  - ### values

    public static MediaSourceContentCategory[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MediaSourceContentCategory valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null